import request from '@/utils/request'

// 查询审批任务实例列表
export function listINSTACTIONTASK(query) {
  return request({
    url: '/business/INSTACTIONTASK/list',
    method: 'get',
    params: query
  })
}

// 查询审批任务实例所有列表
export function listAllINSTACTIONTASK(query) {
  return request({
    url: '/business/INSTACTIONTASK/listAll',
    method: 'get',
    params: query
  })
}

// 查询审批任务实例详细
export function getINSTACTIONTASK(id) {
  return request({
    url: '/business/INSTACTIONTASK/getInfo/' + id,
    method: 'get'
  })
}

// 新增审批任务实例
export function addINSTACTIONTASK(data) {
  return request({
    url: '/business/INSTACTIONTASK/add',
    method: 'post',
    data: data
  })
}

// 修改审批任务实例
export function updateINSTACTIONTASK(data) {
  return request({
    url: '/business/INSTACTIONTASK/edit',
    method: 'post',
    data: data
  })
}

// 删除审批任务实例
export function delINSTACTIONTASK(id) {
  return request({
    url: '/business/INSTACTIONTASK/remove/' + id,
    method: 'get'
  })
}
